Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(749)

Unified Diff: chrome/tools/build/mac/make_locale_dirs.sh

Issue 7714018: Give plug-in processes an executable heap and disable PIE/ASLR for Native (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src/
Patch Set: '' Created 9 years, 4 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « chrome/test/base/chrome_process_util.cc ('k') | chrome/tools/build/mac/make_more_helpers.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: chrome/tools/build/mac/make_locale_dirs.sh
===================================================================
--- chrome/tools/build/mac/make_locale_dirs.sh (revision 0)
+++ chrome/tools/build/mac/make_locale_dirs.sh (revision 0)
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+# Copyright (c) 2011 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# usage: make_locale_dirs.sh locale_dir [...]
+#
+# This script creates the Resources directory for the bundle being built by
+# the Xcode target that calls it if the directory does not yet exist. It then
+# changes to that directory and creates subdirectories for each locale_dir
+# passed on the command line.
+#
+# This script is intended to create empty locale directories (.lproj) in a
+# Cocoa .app bundle. The presence of these empty directories is sufficient to
+# convince Cocoa that the application supports the named localization, even if
+# an InfoPlist.strings file is not provided. Chrome uses these empty locale
+# directoires for its helper executable bundles, which do not otherwise
+# require any direct Cocoa locale support.
+
+set -eu
+
+if [[ ${#} -eq 0 ]]; then
+ echo "usage: ${0} locale_dir [...]" >& 2
+ exit 1
+fi
+
+RESOURCES_DIR="${BUILT_PRODUCTS_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}"
+if [[ ! -d "${RESOURCES_DIR}" ]]; then
+ mkdir "${RESOURCES_DIR}"
+fi
+
+cd "${RESOURCES_DIR}"
+
+for dir in "${@}"; do
+ if [[ ! -d "${dir}" ]]; then
+ mkdir "${dir}"
+ fi
+done
Property changes on: chrome/tools/build/mac/make_locale_dirs.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: svn:eol-style
+ LF
« no previous file with comments | « chrome/test/base/chrome_process_util.cc ('k') | chrome/tools/build/mac/make_more_helpers.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698